;
; FXWRITE.SC - Call the FXWRITE Program from PARADOX.
;
;              Written: 10/30/91
;                       by: Steven Booth
;                           N28W29868 Oakwood Grove Road
;                           Pewaukee, WI 53072
;
; This program is released to the public domain.
;
;    Note: FxWrite writes two files... the file specified by "File_Name" and
;          the informational file "FIXFILE.DAT".
;

Autolib = "Slash"
PaintCanv.u("Enter Name of Table to be dumped <Esc> to Quit: ")
ACCEPT "A60" TO PAR_Table.a
IF ( retval = False ) THEN
   QUIT "FXWRITE Script Terminated by User Request"
ENDIF

PaintCanv.u("Enter Name of File <Esc> to Quit: ")
ACCEPT "A60" TO FXfile.a
IF ( retval = False ) THEN
   QUIT "FXWRITE Script Terminated by User Request"
ENDIF
FXfile_sl.a = BldSlash.a(FXfile.a)
WHILE ( True )
   ReUse.a = "N"

   IF ( ISFILE(FXfile.a) ) THEN
      Ans2.a = GetYN.a("File Already Exists, Reuse It (Y/N)? ")
      IF ( Ans2.a = "Y" ) THEN
         ReUse.a = "Y"
         QUITLOOP
      ELSE
         PaintCanv.u("Enter Name of File: ")
         ACCEPT "A60" TO FXFile.a
         FXFile_sl.a = BldSlash.a(FXFile.a)
      ENDIF
   ELSE
      QUITLOOP
   ENDIF
ENDWHILE

CMD = "RUN \"FXWRITE " + PAR_Table.a + " " + FXfile_sl.a + "\""
EXECUTE CMD
