@Echo Off
  Echo .
  Echo *===[ Loop.Bat copyright 1992 Mountain Software ]===*
  Echo .
  Echo Loop.Bat will execute Read_WKS for each file meeting the supplied filespec
  Echo Use this batch file extract data from a group of worksheet files.
  Echo .
  Echo Example:
  Echo .
  Echo LOOP A1..D10 *.WK1 CONSOL.PRN
  Echo .
  Echo will run Read_WKS for each file in the current directory matching the filespec
  Echo *.WK1 for the range A1..D10 and all extracted data will be appended to the file
  Echo CONSOL.PRN
  Echo .
  Echo Press Ctrl-C to cancel or
  Pause
:Start
  If [%3]==[] GoTo Usage
  If Not Exist %2 GoTo NoFiles
  For %%f In (%2) Do READ_WKS /E /R%1 %%f %3
  Echo Done
  GoTo End
:NoFiles
  Echo No files found matching filespec %2
  Goto End
:Usage
  Echo Error...
  Echo Usage:	LOOP [range] [filespec] [output file]
  Echo Example: LOOP A1..D10 *.WK1 CONSOL.PRN
:End
